package com.mayi.fastdevelop.bean;

import java.io.Serializable;

/**
 * app 启动 - 配置信息
 */
public class AppConfig implements Serializable {
    /**
     * 是否需要更新.
     */
    private boolean needUpdate;

    /**
     * 更新地址.
     */
    private String updateUrl;

    /**
     * 服务器最新版本号.
     */
    private int serverVersion;

    /**
     * 是否强制更新.
     */
    private boolean forceUpdate;

    /**
     * 更新文件大小.
     */
    private String fileSize;

    /**
     * 更新说明.
     */
    private String updateRemark;

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }

    public String getUpdateRemark() {
        return updateRemark;
    }

    public void setUpdateRemark(String updateRemark) {
        this.updateRemark = updateRemark;
    }

    public boolean isNeedUpdate() {
        return needUpdate;
    }

    public void setNeedUpdate(boolean needUpdate) {
        this.needUpdate = needUpdate;
    }

    public String getUpdateUrl() {
        return updateUrl;
    }

    public void setUpdateUrl(String updateUrl) {
        this.updateUrl = updateUrl;
    }

    public int getServerVersion() {
        return serverVersion;
    }

    public void setServerVersion(int serverVersion) {
        this.serverVersion = serverVersion;
    }

    public boolean isForceUpdate() {
        return forceUpdate;
    }

    public void setForceUpdate(boolean forceUpdate) {
        this.forceUpdate = forceUpdate;
    }
}
